STRSPN(3)

NAME
strspn - find initial match

SYNOPSIS

#include <string.h>

size_t strspn(const char *s1, const char *s2);

DESCRIPTION

This function computes the length of the initial segment of the string pointed to by s1 which consists entirely of characters from the string pointed to by s2 (excluding the terminating null character).

RETURNS

strspn returns the length of the segment found.

PORTABILITY

strspn is ANSI C.

strspn requires no supporting OS subroutines.